org.apache.tapestry5.model

## Interface MutableEmbeddedComponentModel

- All Superinterfaces:
    EmbeddedComponentModel, Locatable
  All Known Implementing Classes:
    MutableEmbeddedComponentModelImpl

      public interface MutableEmbeddedComponentModel
      extends EmbeddedComponentModel

  A mutable version of `EmbeddedComponentModel` that allows the parameters to be incrementally stored.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMixin(String mixinClassName, String... orderingConstraints)` Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.
    `void` | `addParameter(String name, String value)`
    `void` | `setPublishedParameters(List<String> parameterNames)` Sets the list of published parameters for this embedded component.

    - ### Methods inherited from interface org.apache.tapestry5.model.EmbeddedComponentModel

      `getComponentClassName, getComponentType, getConstraintsForMixin, getId, getInheritInformalParameters, getMixinClassNames, getParameterNames, getParameterValue, getPublishedParameters`

    - ### Methods inherited from interface org.apache.tapestry5.ioc.Locatable

      `getLocation`

- - ### Method Detail

    - #### addParameter

          void addParameter(String name,
                            String value)

    - #### addMixin

          void addMixin(String mixinClassName,
                        String... orderingConstraints)

      Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.

    - #### setPublishedParameters

          void setPublishedParameters(List<String> parameterNames)

      Sets the list of published parameters for this embedded component.
      Parameters:
        `parameterNames` - list of names
      Since:
        5.1.0.0
      See Also:
        `Component.publishParameters()`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.